#ecc_shell {
  font-family: "Helvetica" !important;
  display: block;
  position: fixed;
  right: 20px;
  bottom: 20px;
  width: 70px;
  height: 70px;
  z-index: 100;
}

#ecc_trigger {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  display: block;
  position: relative;
  width: 100%;
  height: 100%;
  color: #FFF;
  font-weight: bold;
  font-size: 28px;
  text-align: center;
  line-height: 70px;
  background-color: rgba(22,170,233,0.9);
  border-radius: 50%;
}

#ecc_trigger:hover {
  background-color: rgba(65,184,235,0.9);
}

#ecc_chat {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  display: block;
  position: fixed;
  width: 90%;
  max-width: 360px;
  height: auto;
  bottom: 0;
  right: 10px;
  z-index: 102;
  border: 3px solid rgb(22,170,233);
  border-bottom: 0;
  font-family: "Helvetica" !important;
}

#ecc_title {
  display: block;
  position: relative;
  width: 100%;
  padding: 10px;
  background-color: rgb(22,170,233);
  color: #FFF;
  overflow: auto;
}

#ecc_title span {
  display: block;
  float: left;
  font-weight: bold;
  width: calc(100% - 35px);
  height: 35px;
  line-height: 30px;
  font-size: 16px;
}

#ecc_title span i {
  margin-right: 10px;
}

#ecc_content {
  display: block;
  position: relative;
  width: 100%;
  height: 300px;
  background-color: #FFF;
  overflow-y: auto;
}

#ecc_close {
  -webkit-transition: background 0.1s ease;
  -moz-transition: background 0.1s ease;
  -ms-transition: background 0.1s ease;
  -o-transition: background 0.1s ease;
  transition: background 0.1s ease;
  display: block;
  position: relative;
  float: left;
  padding: 0;
  width: 35px;
  height: 35px;
  line-height: 35px;
  background-color: transparent;
  border: 0;
  box-shadow: none !important;
  border-radius: 5px !important;
  text-align: center;
  color: #FFF;
}

#ecc_close:hover {
  background-color: rgba(255, 255, 255, 0.5);
}

.hide_win {
  visibility: hidden;
  transform: translateY(433px);
  opacity: 0;
}

.convo_holder {
  display: block;
  width: 100%;
  position: relative;
  height: auto;
  float: left;
  padding: 10px;
}

#ecc_interact {
  display: block;
  position: relative;
  width: 100%;
  padding: 10px;
  padding-top: 20px;
  padding-bottom: 20px;
  background-color: #EEE;
  overflow: auto;
  border-top: 1px solid #CCC;
}

.ecc_input {
  display: block !important;
  float: left !important;
  width: calc(100% - 80px) !important;
  height: 35px !important;
  border-radius: 1rem !important;
  border: 0 !important;
  padding: 0 !important;
  padding-left: 10px !important;
  padding-right: 10px !important;
  font-size: 14px !important;
  color: #333 !important;
  border: 1px solid #CCC !important;
  outline: 0 !important;
}

.ecc_input:hover, .ecc_input:active, .ecc_input:focus {
  border: 1px solid #87d4f4;
}

#ecc_send {
  -webkit-transition: background 0.1s ease;
  -moz-transition: background 0.1s ease;
  -ms-transition: background 0.1s ease;
  -o-transition: background 0.1s ease;
  transition: background 0.1s ease;
  display: block;
  float: left;
  width: 70px;
  height: 35px;
  margin-left: 10px;
  border-radius: 1rem;
  background-color: #16aae9;
  color: #FFF;
  text-align: center;
  line-height: 35px;
  text-decoration: none;
  font-size: 16px !important;
}

#ecc_send:hover {
  background-color: #59c4f1;
}

.bot_line {
  display: block;
  width: 100%;
  min-height: 100px;
  height: auto;
  background-color: #EEE;
  margin-bottom: 10px;
  border-radius: 5px;
  color: #333 !important;
  padding: 10px;
  box-sizing: border-box;
  overflow: auto;
}

.customer_line {
  display: block;
  width: 100%;
  min-height: 100px;
  height: auto;
  background-color: #16aae9;
  margin-bottom: 10px;
  border-radius: 5px;
  color: #FFF !important;
  padding: 10px;
  box-sizing: border-box;
  overflow: auto;
}

.bot_icon {
  display: block;
  float: left;
  width: 50px;
  height: 50px;
  background-color: #666;
  color: #FFF;
  line-height: 50px;
  text-align: center;
  font-size: x-large;
  border-radius: 5px;
}

.customer_icon {
  display: block;
  float: left;
  width: 50px;
  height: 50px;
  background-color: #09709c;
  color: #FFF;
  line-height: 50px;
  text-align: center;
  font-size: x-large;
  border-radius: 5px;
}

.bot_message {
  display: block;
  float: left;
  width: calc(100% - 50px);
  height: auto;
  padding: 10px;
  padding-top: 0;
  box-sizing: border-box;
}

.bot_message h3 {
  font-size: 16px !important;
  font-weight: bold !important;
  margin-bottom: 5px !important;
}

.bot_message p {
  font-size: 14px !important;
  line-height: 20px !important;
  margin: 0;
  font-family: "Arial" !important;
}

.customer_line h3 {
  color: #FFF !important;
  font-family: "Arial" !important;
  text-transform: none !important;
}

.bot_line h3 {
  color: #333 !important;
  font-family: "Arial" !important;
  text-transform: none !important;
}

.hide_trigger {
  opacity: 0;
  transform: translateY(70px);
}

#ecc_welcome {
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -ms-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
  display: block;
  position: fixed;
  width: auto;
  height: auto;
  padding: 10px;
  font-family: "Helvetica" !important;
  font-size: 16px !important;
  background-color: rgba(0, 0, 0, 0.8);
  color: #FFF;
  bottom: 20px;
  right: 100px;
  border-radius: 7px;
  z-index: 101;
  opacity: 1;
}

#ecc_welcome p {
  margin-bottom: 0;
}

#ecc_welcome span {
  font-size: 12px;
  color: rgba(255, 255, 255, 0.3);
}

.transform_welcome {
  visibility: hidden !important;
  transform: translateX(70px);
  opacity: 0 !important;
}